# Asterisk Project : Asterisk 12 Application_SoftHangup

Added by wikibot , edited by wikibot on Aug 29, 2013

# SoftHangup()

### Synopsis

Hangs up the requested channel.

### Description

Hangs up the requested channel. If there are no channels to hangup, the application will report it.

### Syntax

    SoftHangup(Technology/Resource,options)

##### Arguments

- `Technology/Resource`
- `options`
  - `a` - Hang up all channels on a specified device instead of a single resource

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown